<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://xmlns.jcp.org/xml/ns/javaee" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd" id="WebApp_ID" version="3.1">
  <display-name>IClock</display-name>
  <filter>
    <filter-name>monitoring</filter-name>
    <filter-class>net.bull.javamelody.MonitoringFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>monitoring</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>
  <listener>
    <listener-class>net.bull.javamelody.SessionListener</listener-class>
  </listener>
  <servlet>
    <servlet-name>Servlet Name</servlet-name>
    <servlet-class>Essl.EsslServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>Servlet Name</servlet-name>
    <url-pattern>*.aspx</url-pattern>
  </servlet-mapping>
  <welcome-file-list>
    <welcome-file>index.jsp</welcome-file>
    <welcome-file>index.html</welcome-file>
    <welcome-file>index.htm</welcome-file>
    <welcome-file>default.html</welcome-file>
    <welcome-file>default.htm</welcome-file>
    <welcome-file>default.jsp</welcome-file>
  </welcome-file-list>
  <session-config>
    <session-timeout>15</session-timeout>
  </session-config>
  <context-param>
    <param-name>STORE_PROCESSED_STAMP_LOGS</param-name>
    <param-value>1</param-value>
  </context-param>
  <context-param>
    <param-name>STORE_PROCESSED_STAMP_LOGS_TYPE</param-name>
    <param-value>1</param-value>
  </context-param>
  <context-param>
    <param-name>PROCESSLOG_THREAD_POOL</param-name>
    <param-value>10</param-value>
  </context-param>
  <context-param>
    <param-name>PROCESSLOG_RECORDS_FOR_PROCESSING</param-name>
    <param-value>500</param-value>
  </context-param>
  <context-param>
    <param-name>PROCESSLOG_SLEEP_TIME</param-name>
    <param-value>10000</param-value>
  </context-param>
  <context-param>
    <param-name>RESPONSE_SLEEP_TIME</param-name>
    <param-value>300</param-value>
  </context-param>
  <context-param>
    <param-name>PROCESS_DEVICE_INFO_SLEEP_TIME</param-name>
    <param-value>10000</param-value>
  </context-param>
    <context-param>
        <param-name>PROCESS_DEVICE_COMMANDS_SLEEP_TIME</param-name>
        <param-value>10000</param-value>
    </context-param>
  <context-param>
    <param-name>DEVICEDIRECTORY_TXT</param-name>
    <param-value>DeviceInfo/Device</param-value>
  </context-param>
  <context-param>
    <param-name>DEVICEDIRECTORY_PROCOSSED_TXT</param-name>
    <param-value>DeviceInfo/Device_Processed</param-value>
  </context-param>
  <context-param>
    <param-name>FILEDIRECTORY_TXT</param-name>
    <param-value>DeviceInfo</param-value>
  </context-param>
  <context-param>
    <param-name>FILEERRORDIRECTORY_TXT</param-name>
    <param-value>DeviceInfo/DeviceErrorInfo</param-value>
  </context-param>
  <context-param>
    <param-name>FILETYPE01</param-name>
    <param-value>opstamp</param-value>
  </context-param>
  <context-param>
    <param-name>FILETYPE02</param-name>
    <param-value>stamp</param-value>
  </context-param>
  <context-param>
    <param-name>FILETYPE01_COUNT</param-name>
    <param-value>1000</param-value>
  </context-param>
  <context-param>
    <param-name>FILETYPE02_COUNT</param-name>
    <param-value>1000</param-value>
  </context-param>
  <context-param>
    <param-name>CT_ASPX</param-name>
    <param-value></param-value>
  </context-param>
  <context-param>
    <param-name>TP_THREAD_POOL</param-name>
    <param-value>2000</param-value>
  </context-param>
  <context-param>
    <param-name>DEVICE_COMMAND_SIZE</param-name>
    <param-value>9000</param-value>
  </context-param>
    <context-param>
        <param-name>BONECP_PARTIONCOUNT</param-name>
        <param-value>2</param-value>
    </context-param>
    <context-param>
        <param-name>BONECP_MINCONNPERPARTIONCOUNT</param-name>
        <param-value>5</param-value>
    </context-param>
    <context-param>
        <param-name>BONECP_MAXCONNPERPARTIONCOUNT</param-name>
        <param-value>10</param-value>
    </context-param>
    <context-param>
        <param-name>HIKARICP_MAXPOOLSIZE</param-name>
        <param-value>20</param-value>
    </context-param>
    <context-param>
        <param-name>HIKARICP_CONNECTIONTIMEOUT</param-name>
        <param-value>30000</param-value>
    </context-param>

  <context-param>
    <param-name>DB_CONNECT</param-name>
    <param-value>3</param-value>
  </context-param>
  <context-param>
    <param-name>DB_DRIVER_MSSQL</param-name>
    <param-value>com.microsoft.sqlserver.jdbc.SQLServerDriver</param-value>
  </context-param>
  <context-param>
    <param-name>DB_HOST_MSSQL</param-name>
    <param-value>192.168.1.251</param-value>
  </context-param>
  <context-param>
    <param-name>DB_PORT_MSSQL</param-name>
    <param-value>1433</param-value>
  </context-param>
  <context-param>
    <param-name>DB_DATABASE_MSSQL</param-name>
    <param-value>EPushServer</param-value>
  </context-param>
  <context-param>
    <param-name>DB_USER_MSSQL</param-name>
    <param-value>essl</param-value>
  </context-param>
  <context-param>
    <param-name>DB_PASSWORD_MSSQL</param-name>
    <param-value>essl1234</param-value>
  </context-param>
  <context-param>
    <param-name>DB_DRIVER_MYSQL</param-name>
    <param-value>com.mysql.jdbc.Driver</param-value>
  </context-param>
  <context-param>
    <param-name>DB_HOST_MYSQL</param-name>
    <param-value>192.168.1.251</param-value>
  </context-param>
  <context-param>
    <param-name>DB_PORT_MYSQL</param-name>
    <param-value>3306</param-value>
  </context-param>
  <context-param>
    <param-name>DB_DATABASE_MYSQL</param-name>
    <param-value>EPushServer</param-value>
  </context-param>
  <context-param>
    <param-name>DB_USER_MYSQL</param-name>
    <param-value>network_user</param-value>
  </context-param>
  <context-param>
    <param-name>DB_PASSWORD_MYSQL</param-name>
    <param-value>1234</param-value>
  </context-param>
    <context-param>
        <param-name>DB_DRIVER_ORASQL</param-name>
        <param-value>oracle.jdbc.driver.OracleDriver</param-value>
    </context-param>
    <context-param>
        <param-name>DB_HOST_ORASQL</param-name>
        <param-value>192.168.1.251</param-value>
    </context-param>
    <context-param>
        <param-name>DB_PORT_ORASQL</param-name>
        <param-value>1521</param-value>
    </context-param>
    <context-param>
        <param-name>DB_DATABASE_ORASQL</param-name>
        <param-value>XE</param-value>
    </context-param>
    <context-param>
        <param-name>DB_USER_ORASQL</param-name>
        <param-value>network_user</param-value>
    </context-param>
    <context-param>
        <param-name>DB_PASSWORD_ORASQL</param-name>
        <param-value>1234</param-value>
    </context-param>
  <servlet>
    <description></description>
    <display-name>EsslServlet</display-name>
    <servlet-name>EsslServlet</servlet-name>
    <servlet-class>Essl.EsslServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>EsslServlet</servlet-name>
    <url-pattern>/EsslServlet</url-pattern>
  </servlet-mapping>
</web-app>